Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.jsonrpc
Interface JsonRpcService

All Superinterfaces:
  Initable, Service

All Known Implementing Classes:
  TurbineJsonRpcService

    public interface JsonRpcService

extends Service

The interface an JsonRpcService implements.

Version:
  $Id: JsonRpcService.java 712125 2008-11-07 13:47:28Z seade $
Author:
  Scott Eade

Field Summary
`static String` | `SERVICE_NAME` TurbineJsonRpcService.

Method Summary
`void` | `clearBridge(javax.servlet.http.HttpSession session)`
`com.metaparadigm.jsonrpc.JSONRPCBridge` | `getBridge(javax.servlet.http.HttpSession session)`
`Object` | `processCall(CharArrayWriter cdata, com.metaparadigm.jsonrpc.JSONRPCBridge json_bridge, javax.servlet.http.HttpServletRequest request)`
`void` | `registerObject(javax.servlet.http.HttpSession session, String key, Object value)`
`void` | `registerObjectGlobal(String key, Object value)`

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  TurbineJsonRpcService.

  See Also:
    Constant Field Values

Method Detail

### processCall

    Object processCall(CharArrayWriter cdata,
                       com.metaparadigm.jsonrpc.JSONRPCBridge json_bridge,
                       javax.servlet.http.HttpServletRequest request)

### registerObject

    void registerObject(javax.servlet.http.HttpSession session,
                        String key,
                        Object value)

### registerObjectGlobal

    void registerObjectGlobal(String key,
                              Object value)

### getBridge

    com.metaparadigm.jsonrpc.JSONRPCBridge getBridge(javax.servlet.http.HttpSession session)

### clearBridge

    void clearBridge(javax.servlet.http.HttpSession session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.